> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capa.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Start KYC

Submits KYC verification data directly for a user. Use this when you collect identity documents on your own platform and want to send them to Capa for verification programmatically, rather than redirecting to the KYC provider.

***

## Important Notes

* The user must be created first via [Create User](/reference/userpartnercontrollerv2_createuser).
* All document URLs (`frontIdUrl`, `backIdUrl`, `selfieUrl`) must be accessible pre-signed URLs.
* Verification is async — results are delivered via webhook or can be polled using [Get KYC Details](/reference/kycpartnercontrollerv2_getuserverificationdetails).

***

## Error Codes

### Common Errors

| HTTP Status | Code                   | Message                            |
| ----------- | ---------------------- | ---------------------------------- |
| 401         | `UNAUTHORIZED`         | "API Key is missing"               |
| 401         | `UNAUTHORIZED`         | "Invalid API Key format"           |
| 401         | `UNAUTHORIZED`         | "Invalid API Key"                  |
| 403         | `INVALID_PARTNER_FLOW` | "The partner has an invalid flow." |

### User Ownership Errors

| HTTP Status | Code           | Message                                              |
| ----------- | -------------- | ---------------------------------------------------- |
| 401         | `UNAUTHORIZED` | "Partner information is required for this operation" |
| 401         | `UNAUTHORIZED` | "User is not associated with the partner"            |

### Endpoint-Specific Errors

| HTTP Status | Code                                         | Message                                            |
| ----------- | -------------------------------------------- | -------------------------------------------------- |
| 400         | `INVALID_USER_INPUT_ERROR`                   | "Invalid User Input"                               |
| 400         | `NO_KYC_TEMPLATE_FOUND`                      | "No KYC template found for country: {country}"     |
| 400         | `EMAIL_NOT_FOUND`                            | "Provided user authentication method is not email" |
| 400         | `BAD_REQUEST`                                | "Provided url {url} is not valid"                  |
| 400         | `FAILED_TO_DOWNLOAD_FILE_FROM_PRESIGNED_URL` | "Failed to download file from presigned url"       |
| 400         | `FAILED_TO_DOWNLOAD_DOCUMENT`                | "Failed to download document"                      |
| 404         | `NOT_FOUND_ERROR`                            | "Requested User was not found"                     |
| 500         | `INTERNAL_SERVER_ERROR`                      | "Identity verification creation failed"            |


## OpenAPI

````yaml reference/openapi/UserPartnerControllerV2_createUserKYC.json POST /api/partner/v2/users/{userId}/kyc
openapi: 3.0.0
info:
  title: Capa Partner API - V2
  description: >-
    Partner API for integrating cryptocurrency on-ramp and off-ramp services
    using Capa's infrastructure. Enable your users to seamlessly convert between
    fiat and crypto.
  version: v2
  contact: {}
servers:
  - url: https://staging-api.capa.fi
  - url: https://production-api.capa.fi
security: []
paths:
  /api/partner/v2/users/{userId}/kyc:
    post:
      tags:
        - users
      operationId: UserPartnerControllerV2_createUserKYC
      parameters:
        - name: userId
          required: true
          in: path
          description: The user ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                documents:
                  type: array
                  description: The documents of the user.
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - ADDRESS_PROOF
                      fileUrl:
                        type: string
                        format: uri
                    required:
                      - type
                      - fileUrl
                address:
                  type: object
                  description: The address of the user.
                  properties:
                    street:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    zipCode:
                      type: string
                    country:
                      type: string
                      enum:
                        - AW
                        - AF
                        - AO
                        - AI
                        - AX
                        - AL
                        - AD
                        - AE
                        - AR
                        - AM
                        - AS
                        - AQ
                        - TF
                        - AG
                        - AU
                        - AT
                        - AZ
                        - BI
                        - BE
                        - BJ
                        - BQ
                        - BF
                        - BD
                        - BG
                        - BH
                        - BS
                        - BA
                        - BL
                        - BY
                        - BZ
                        - BM
                        - BO
                        - BR
                        - BB
                        - BN
                        - BT
                        - BV
                        - BW
                        - CF
                        - CA
                        - CC
                        - CH
                        - CL
                        - CN
                        - CI
                        - CM
                        - CD
                        - CG
                        - CK
                        - CO
                        - KM
                        - CV
                        - CR
                        - CU
                        - CW
                        - CX
                        - KY
                        - CY
                        - CZ
                        - DE
                        - DJ
                        - DM
                        - DK
                        - DO
                        - DZ
                        - EC
                        - EG
                        - ER
                        - EH
                        - ES
                        - EE
                        - ET
                        - FI
                        - FJ
                        - FK
                        - FR
                        - FO
                        - FM
                        - GA
                        - GB
                        - GE
                        - GG
                        - GH
                        - GM
                        - GI
                        - GN
                        - GP
                        - GW
                        - GQ
                        - GR
                        - GD
                        - GL
                        - GT
                        - GF
                        - GU
                        - GY
                        - HK
                        - HM
                        - HN
                        - HR
                        - HT
                        - HU
                        - ID
                        - IM
                        - IN
                        - IO
                        - IE
                        - IR
                        - IQ
                        - IS
                        - IL
                        - IT
                        - JM
                        - JE
                        - JO
                        - JP
                        - KZ
                        - KE
                        - KG
                        - KH
                        - KI
                        - KN
                        - KR
                        - KW
                        - LA
                        - LB
                        - LR
                        - LY
                        - LC
                        - LI
                        - LK
                        - LS
                        - LT
                        - LU
                        - LV
                        - MO
                        - MF
                        - MA
                        - MC
                        - MD
                        - MG
                        - MV
                        - MX
                        - MH
                        - MK
                        - ML
                        - MT
                        - MM
                        - ME
                        - MN
                        - MP
                        - MZ
                        - MR
                        - MS
                        - MQ
                        - MU
                        - MW
                        - MY
                        - YT
                        - NA
                        - NC
                        - NE
                        - NF
                        - NG
                        - NI
                        - NU
                        - NL
                        - 'NO'
                        - NP
                        - NR
                        - NZ
                        - OM
                        - PK
                        - PA
                        - PN
                        - PE
                        - PH
                        - PW
                        - PG
                        - PL
                        - PR
                        - KP
                        - PT
                        - PY
                        - PS
                        - PF
                        - QA
                        - RE
                        - RO
                        - RU
                        - RW
                        - SA
                        - SD
                        - SN
                        - SG
                        - GS
                        - SH
                        - SJ
                        - SB
                        - SL
                        - SV
                        - SM
                        - SO
                        - PM
                        - RS
                        - SS
                        - ST
                        - SR
                        - SK
                        - SI
                        - SE
                        - SZ
                        - SX
                        - SC
                        - SY
                        - TC
                        - TD
                        - TG
                        - TH
                        - TJ
                        - TK
                        - TM
                        - TL
                        - TO
                        - TT
                        - TN
                        - TR
                        - TV
                        - TW
                        - TZ
                        - UG
                        - UA
                        - UM
                        - UY
                        - US
                        - UZ
                        - VA
                        - VC
                        - VE
                        - VG
                        - VI
                        - VN
                        - VU
                        - WF
                        - WS
                        - YE
                        - ZA
                        - ZM
                        - ZW
                pep:
                  type: object
                  description: The PEP of the user.
                  properties:
                    relation:
                      type: string
                      enum:
                        - DIRECT
                        - FAMILY_MEMBER
                    position:
                      type: string
                    period:
                      type: string
                beneficiaryOwner:
                  type: object
                  description: >-
                    In case that the beneficiary owner is the same as the user,
                    this field is not required.
                  properties:
                    fullName:
                      type: string
                    dateOfBirth:
                      type: string
                    nationality:
                      type: string
                      enum:
                        - Aruba
                        - Afghanistan
                        - Angola
                        - Anguilla
                        - Åland Islands
                        - Albania
                        - Andorra
                        - United Arab Emirates
                        - Argentina
                        - Armenia
                        - American Samoa
                        - Antarctica
                        - French Southern Territories
                        - Antigua and Barbuda
                        - Australia
                        - Austria
                        - Azerbaijan
                        - Burundi
                        - Belgium
                        - Benin
                        - Bonaire, Sint Eustatius and Saba
                        - Burkina Faso
                        - Bangladesh
                        - Bulgaria
                        - Bahrain
                        - Bahamas
                        - Bosnia and Herzegovina
                        - Saint Barthélemy
                        - Belarus
                        - Belize
                        - Bermuda
                        - Bolivia
                        - Brazil
                        - Barbados
                        - Brunei Darussalam
                        - Bhutan
                        - Bouvet Island
                        - Botswana
                        - Central African Republic
                        - Canada
                        - Cocos (Keeling) Islands
                        - Switzerland
                        - Chile
                        - China
                        - Côte d'Ivoire
                        - Cameroon
                        - Congo, The Democratic Republic of the
                        - Congo
                        - Cook Islands
                        - Colombia
                        - Comoros
                        - Cabo Verde
                        - Costa Rica
                        - Cuba
                        - Curaçao
                        - Christmas Island
                        - Cayman Islands
                        - Cyprus
                        - Czechia
                        - Germany
                        - Djibouti
                        - Dominica
                        - Denmark
                        - Dominican Republic
                        - Algeria
                        - Ecuador
                        - Egypt
                        - Eritrea
                        - Western Sahara
                        - Spain
                        - Estonia
                        - Ethiopia
                        - Finland
                        - Fiji
                        - Falkland Islands (Malvinas)
                        - France
                        - Faroe Islands
                        - Micronesia, Federated States of
                        - Gabon
                        - United Kingdom
                        - Georgia
                        - Guernsey
                        - Ghana
                        - Gibraltar
                        - Guinea
                        - Guadeloupe
                        - Gambia
                        - Guinea-Bissau
                        - Equatorial Guinea
                        - Greece
                        - Grenada
                        - Greenland
                        - Guatemala
                        - French Guiana
                        - Guam
                        - Guyana
                        - Hong Kong
                        - Heard Island and McDonald Islands
                        - Honduras
                        - Croatia
                        - Haiti
                        - Hungary
                        - Indonesia
                        - Isle of Man
                        - India
                        - British Indian Ocean Territory
                        - Ireland
                        - Iran, Islamic Republic of
                        - Iraq
                        - Iceland
                        - Israel
                        - Italy
                        - Jamaica
                        - Jersey
                        - Jordan
                        - Japan
                        - Kazakhstan
                        - Kenya
                        - Kyrgyzstan
                        - Cambodia
                        - Kiribati
                        - Saint Kitts and Nevis
                        - Korea, Republic of
                        - Kuwait
                        - Lao People's Democratic Republic
                        - Lebanon
                        - Liberia
                        - Libya
                        - Saint Lucia
                        - Liechtenstein
                        - Sri Lanka
                        - Lesotho
                        - Lithuania
                        - Luxembourg
                        - Latvia
                        - Macao
                        - Saint Martin (French part)
                        - Morocco
                        - Monaco
                        - Moldova, Republic of
                        - Madagascar
                        - Maldives
                        - Mexico
                        - Marshall Islands
                        - Macedonia
                        - Mali
                        - Malta
                        - Myanmar
                        - Montenegro
                        - Mongolia
                        - Northern Mariana Islands
                        - Mozambique
                        - Mauritania
                        - Montserrat
                        - Martinique
                        - Mauritius
                        - Malawi
                        - Malaysia
                        - Mayotte
                        - Namibia
                        - New Caledonia
                        - Niger
                        - Norfolk Island
                        - Nigeria
                        - Nicaragua
                        - Niue
                        - Netherlands
                        - Norway
                        - Nepal
                        - Nauru
                        - New Zealand
                        - Oman
                        - Pakistan
                        - Panama
                        - Pitcairn
                        - Peru
                        - Philippines
                        - Palau
                        - Papua New Guinea
                        - Poland
                        - Puerto Rico
                        - Korea, Democratic People's Republic of
                        - Portugal
                        - Paraguay
                        - Palestine, State of
                        - French Polynesia
                        - Qatar
                        - Réunion
                        - Romania
                        - Russian Federation
                        - Rwanda
                        - Saudi Arabia
                        - Sudan
                        - Senegal
                        - Singapore
                        - South Georgia and the South Sandwich Islands
                        - Saint Helena, Ascension and Tristan da Cunha
                        - Svalbard and Jan Mayen
                        - Solomon Islands
                        - Sierra Leone
                        - El Salvador
                        - San Marino
                        - Somalia
                        - Saint Pierre and Miquelon
                        - Serbia
                        - South Sudan
                        - Sao Tome and Principe
                        - Suriname
                        - Slovakia
                        - Slovenia
                        - Sweden
                        - Eswatini
                        - Sint Maarten (Dutch part)
                        - Seychelles
                        - Syrian Arab Republic
                        - Turks and Caicos Islands
                        - Chad
                        - Togo
                        - Thailand
                        - Tajikistan
                        - Tokelau
                        - Turkmenistan
                        - Timor-Leste
                        - Tonga
                        - Trinidad and Tobago
                        - Tunisia
                        - Turkey
                        - Tuvalu
                        - Taiwan, Province of China
                        - Tanzania, United Republic of
                        - Uganda
                        - Ukraine
                        - United States Minor Outlying Islands
                        - Uruguay
                        - United States
                        - Uzbekistan
                        - Holy See (Vatican City State)
                        - Saint Vincent and the Grenadines
                        - Venezuela, Bolivarian Republic of
                        - Virgin Islands, British
                        - Virgin Islands, U.S.
                        - Viet Nam
                        - Vanuatu
                        - Wallis and Futuna
                        - Samoa
                        - Yemen
                        - South Africa
                        - Zambia
                        - Zimbabwe
                    address:
                      type: string
                    rfc:
                      type: string
                    serialNumber:
                      type: string
                    occupation:
                      type: string
                resourceProvider:
                  type: object
                  description: >-
                    In case that the resource provider is the same as the user,
                    this field is not required.
                  properties:
                    fullName:
                      type: string
                    dateOfBirth:
                      type: string
                    nationality:
                      type: string
                      enum:
                        - Aruba
                        - Afghanistan
                        - Angola
                        - Anguilla
                        - Åland Islands
                        - Albania
                        - Andorra
                        - United Arab Emirates
                        - Argentina
                        - Armenia
                        - American Samoa
                        - Antarctica
                        - French Southern Territories
                        - Antigua and Barbuda
                        - Australia
                        - Austria
                        - Azerbaijan
                        - Burundi
                        - Belgium
                        - Benin
                        - Bonaire, Sint Eustatius and Saba
                        - Burkina Faso
                        - Bangladesh
                        - Bulgaria
                        - Bahrain
                        - Bahamas
                        - Bosnia and Herzegovina
                        - Saint Barthélemy
                        - Belarus
                        - Belize
                        - Bermuda
                        - Bolivia
                        - Brazil
                        - Barbados
                        - Brunei Darussalam
                        - Bhutan
                        - Bouvet Island
                        - Botswana
                        - Central African Republic
                        - Canada
                        - Cocos (Keeling) Islands
                        - Switzerland
                        - Chile
                        - China
                        - Côte d'Ivoire
                        - Cameroon
                        - Congo, The Democratic Republic of the
                        - Congo
                        - Cook Islands
                        - Colombia
                        - Comoros
                        - Cabo Verde
                        - Costa Rica
                        - Cuba
                        - Curaçao
                        - Christmas Island
                        - Cayman Islands
                        - Cyprus
                        - Czechia
                        - Germany
                        - Djibouti
                        - Dominica
                        - Denmark
                        - Dominican Republic
                        - Algeria
                        - Ecuador
                        - Egypt
                        - Eritrea
                        - Western Sahara
                        - Spain
                        - Estonia
                        - Ethiopia
                        - Finland
                        - Fiji
                        - Falkland Islands (Malvinas)
                        - France
                        - Faroe Islands
                        - Micronesia, Federated States of
                        - Gabon
                        - United Kingdom
                        - Georgia
                        - Guernsey
                        - Ghana
                        - Gibraltar
                        - Guinea
                        - Guadeloupe
                        - Gambia
                        - Guinea-Bissau
                        - Equatorial Guinea
                        - Greece
                        - Grenada
                        - Greenland
                        - Guatemala
                        - French Guiana
                        - Guam
                        - Guyana
                        - Hong Kong
                        - Heard Island and McDonald Islands
                        - Honduras
                        - Croatia
                        - Haiti
                        - Hungary
                        - Indonesia
                        - Isle of Man
                        - India
                        - British Indian Ocean Territory
                        - Ireland
                        - Iran, Islamic Republic of
                        - Iraq
                        - Iceland
                        - Israel
                        - Italy
                        - Jamaica
                        - Jersey
                        - Jordan
                        - Japan
                        - Kazakhstan
                        - Kenya
                        - Kyrgyzstan
                        - Cambodia
                        - Kiribati
                        - Saint Kitts and Nevis
                        - Korea, Republic of
                        - Kuwait
                        - Lao People's Democratic Republic
                        - Lebanon
                        - Liberia
                        - Libya
                        - Saint Lucia
                        - Liechtenstein
                        - Sri Lanka
                        - Lesotho
                        - Lithuania
                        - Luxembourg
                        - Latvia
                        - Macao
                        - Saint Martin (French part)
                        - Morocco
                        - Monaco
                        - Moldova, Republic of
                        - Madagascar
                        - Maldives
                        - Mexico
                        - Marshall Islands
                        - Macedonia
                        - Mali
                        - Malta
                        - Myanmar
                        - Montenegro
                        - Mongolia
                        - Northern Mariana Islands
                        - Mozambique
                        - Mauritania
                        - Montserrat
                        - Martinique
                        - Mauritius
                        - Malawi
                        - Malaysia
                        - Mayotte
                        - Namibia
                        - New Caledonia
                        - Niger
                        - Norfolk Island
                        - Nigeria
                        - Nicaragua
                        - Niue
                        - Netherlands
                        - Norway
                        - Nepal
                        - Nauru
                        - New Zealand
                        - Oman
                        - Pakistan
                        - Panama
                        - Pitcairn
                        - Peru
                        - Philippines
                        - Palau
                        - Papua New Guinea
                        - Poland
                        - Puerto Rico
                        - Korea, Democratic People's Republic of
                        - Portugal
                        - Paraguay
                        - Palestine, State of
                        - French Polynesia
                        - Qatar
                        - Réunion
                        - Romania
                        - Russian Federation
                        - Rwanda
                        - Saudi Arabia
                        - Sudan
                        - Senegal
                        - Singapore
                        - South Georgia and the South Sandwich Islands
                        - Saint Helena, Ascension and Tristan da Cunha
                        - Svalbard and Jan Mayen
                        - Solomon Islands
                        - Sierra Leone
                        - El Salvador
                        - San Marino
                        - Somalia
                        - Saint Pierre and Miquelon
                        - Serbia
                        - South Sudan
                        - Sao Tome and Principe
                        - Suriname
                        - Slovakia
                        - Slovenia
                        - Sweden
                        - Eswatini
                        - Sint Maarten (Dutch part)
                        - Seychelles
                        - Syrian Arab Republic
                        - Turks and Caicos Islands
                        - Chad
                        - Togo
                        - Thailand
                        - Tajikistan
                        - Tokelau
                        - Turkmenistan
                        - Timor-Leste
                        - Tonga
                        - Trinidad and Tobago
                        - Tunisia
                        - Turkey
                        - Tuvalu
                        - Taiwan, Province of China
                        - Tanzania, United Republic of
                        - Uganda
                        - Ukraine
                        - United States Minor Outlying Islands
                        - Uruguay
                        - United States
                        - Uzbekistan
                        - Holy See (Vatican City State)
                        - Saint Vincent and the Grenadines
                        - Venezuela, Bolivarian Republic of
                        - Virgin Islands, British
                        - Virgin Islands, U.S.
                        - Viet Nam
                        - Vanuatu
                        - Wallis and Futuna
                        - Samoa
                        - Yemen
                        - South Africa
                        - Zambia
                        - Zimbabwe
                    address:
                      type: string
                    rfc:
                      type: string
                    serialNumber:
                      type: string
                    occupation:
                      type: string
                realOwner:
                  type: object
                  description: >-
                    In case that the real owner is the same as the user, this
                    field is not required.
                  properties:
                    fullName:
                      type: string
                    dateOfBirth:
                      type: string
                    nationality:
                      type: string
                      enum:
                        - Aruba
                        - Afghanistan
                        - Angola
                        - Anguilla
                        - Åland Islands
                        - Albania
                        - Andorra
                        - United Arab Emirates
                        - Argentina
                        - Armenia
                        - American Samoa
                        - Antarctica
                        - French Southern Territories
                        - Antigua and Barbuda
                        - Australia
                        - Austria
                        - Azerbaijan
                        - Burundi
                        - Belgium
                        - Benin
                        - Bonaire, Sint Eustatius and Saba
                        - Burkina Faso
                        - Bangladesh
                        - Bulgaria
                        - Bahrain
                        - Bahamas
                        - Bosnia and Herzegovina
                        - Saint Barthélemy
                        - Belarus
                        - Belize
                        - Bermuda
                        - Bolivia
                        - Brazil
                        - Barbados
                        - Brunei Darussalam
                        - Bhutan
                        - Bouvet Island
                        - Botswana
                        - Central African Republic
                        - Canada
                        - Cocos (Keeling) Islands
                        - Switzerland
                        - Chile
                        - China
                        - Côte d'Ivoire
                        - Cameroon
                        - Congo, The Democratic Republic of the
                        - Congo
                        - Cook Islands
                        - Colombia
                        - Comoros
                        - Cabo Verde
                        - Costa Rica
                        - Cuba
                        - Curaçao
                        - Christmas Island
                        - Cayman Islands
                        - Cyprus
                        - Czechia
                        - Germany
                        - Djibouti
                        - Dominica
                        - Denmark
                        - Dominican Republic
                        - Algeria
                        - Ecuador
                        - Egypt
                        - Eritrea
                        - Western Sahara
                        - Spain
                        - Estonia
                        - Ethiopia
                        - Finland
                        - Fiji
                        - Falkland Islands (Malvinas)
                        - France
                        - Faroe Islands
                        - Micronesia, Federated States of
                        - Gabon
                        - United Kingdom
                        - Georgia
                        - Guernsey
                        - Ghana
                        - Gibraltar
                        - Guinea
                        - Guadeloupe
                        - Gambia
                        - Guinea-Bissau
                        - Equatorial Guinea
                        - Greece
                        - Grenada
                        - Greenland
                        - Guatemala
                        - French Guiana
                        - Guam
                        - Guyana
                        - Hong Kong
                        - Heard Island and McDonald Islands
                        - Honduras
                        - Croatia
                        - Haiti
                        - Hungary
                        - Indonesia
                        - Isle of Man
                        - India
                        - British Indian Ocean Territory
                        - Ireland
                        - Iran, Islamic Republic of
                        - Iraq
                        - Iceland
                        - Israel
                        - Italy
                        - Jamaica
                        - Jersey
                        - Jordan
                        - Japan
                        - Kazakhstan
                        - Kenya
                        - Kyrgyzstan
                        - Cambodia
                        - Kiribati
                        - Saint Kitts and Nevis
                        - Korea, Republic of
                        - Kuwait
                        - Lao People's Democratic Republic
                        - Lebanon
                        - Liberia
                        - Libya
                        - Saint Lucia
                        - Liechtenstein
                        - Sri Lanka
                        - Lesotho
                        - Lithuania
                        - Luxembourg
                        - Latvia
                        - Macao
                        - Saint Martin (French part)
                        - Morocco
                        - Monaco
                        - Moldova, Republic of
                        - Madagascar
                        - Maldives
                        - Mexico
                        - Marshall Islands
                        - Macedonia
                        - Mali
                        - Malta
                        - Myanmar
                        - Montenegro
                        - Mongolia
                        - Northern Mariana Islands
                        - Mozambique
                        - Mauritania
                        - Montserrat
                        - Martinique
                        - Mauritius
                        - Malawi
                        - Malaysia
                        - Mayotte
                        - Namibia
                        - New Caledonia
                        - Niger
                        - Norfolk Island
                        - Nigeria
                        - Nicaragua
                        - Niue
                        - Netherlands
                        - Norway
                        - Nepal
                        - Nauru
                        - New Zealand
                        - Oman
                        - Pakistan
                        - Panama
                        - Pitcairn
                        - Peru
                        - Philippines
                        - Palau
                        - Papua New Guinea
                        - Poland
                        - Puerto Rico
                        - Korea, Democratic People's Republic of
                        - Portugal
                        - Paraguay
                        - Palestine, State of
                        - French Polynesia
                        - Qatar
                        - Réunion
                        - Romania
                        - Russian Federation
                        - Rwanda
                        - Saudi Arabia
                        - Sudan
                        - Senegal
                        - Singapore
                        - South Georgia and the South Sandwich Islands
                        - Saint Helena, Ascension and Tristan da Cunha
                        - Svalbard and Jan Mayen
                        - Solomon Islands
                        - Sierra Leone
                        - El Salvador
                        - San Marino
                        - Somalia
                        - Saint Pierre and Miquelon
                        - Serbia
                        - South Sudan
                        - Sao Tome and Principe
                        - Suriname
                        - Slovakia
                        - Slovenia
                        - Sweden
                        - Eswatini
                        - Sint Maarten (Dutch part)
                        - Seychelles
                        - Syrian Arab Republic
                        - Turks and Caicos Islands
                        - Chad
                        - Togo
                        - Thailand
                        - Tajikistan
                        - Tokelau
                        - Turkmenistan
                        - Timor-Leste
                        - Tonga
                        - Trinidad and Tobago
                        - Tunisia
                        - Turkey
                        - Tuvalu
                        - Taiwan, Province of China
                        - Tanzania, United Republic of
                        - Uganda
                        - Ukraine
                        - United States Minor Outlying Islands
                        - Uruguay
                        - United States
                        - Uzbekistan
                        - Holy See (Vatican City State)
                        - Saint Vincent and the Grenadines
                        - Venezuela, Bolivarian Republic of
                        - Virgin Islands, British
                        - Virgin Islands, U.S.
                        - Viet Nam
                        - Vanuatu
                        - Wallis and Futuna
                        - Samoa
                        - Yemen
                        - South Africa
                        - Zambia
                        - Zimbabwe
                    address:
                      type: string
                    rfc:
                      type: string
                    serialNumber:
                      type: string
                    occupation:
                      type: string
                country:
                  description: >-
                    The country code for the user KYC


                    @description The country must be a valid ISO 3166-1 alpha-2
                    country code, see:

                    @link https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2
                  example: MX
                  enum:
                    - MX
                    - DO
                    - US
                    - AT
                    - BE
                    - BG
                    - HR
                    - CY
                    - CZ
                    - DK
                    - EE
                    - FI
                    - FR
                    - DE
                    - GR
                    - HU
                    - IE
                    - IT
                    - LV
                    - LT
                    - LU
                    - MT
                    - NL
                    - PL
                    - PT
                    - RO
                    - SK
                    - SI
                    - ES
                    - SE
                    - IS
                    - LI
                    - 'NO'
                    - CH
                    - GB
                    - MC
                    - SM
                    - AD
                    - VA
                  type: string
                phoneNumber:
                  type: string
                  description: The phone number of the user.
                taxId:
                  type: string
                  description: The tax id of the user.
                profession:
                  description: The profession of the user.
                  example: EMPLOYEE, ENTREPRENEUR, MANAGER, NURSE, STUDENT.
                  enum:
                    - EMPLOYEE
                    - ENTREPRENEUR
                    - MANAGER
                    - NURSE
                    - STUDENT
                    - PHYSICIST
                    - EXECUTIVE
                    - HOUSEWORK
                    - ENGINEER
                    - RETIRED
                    - MEASURED
                    - NOT_SPECIFIED
                    - OPERATOR
                    - PENSIONER
                    - POLITICIAN
                    - PRODUCTION
                    - PROFESSIONAL
                    - TEACHER
                    - OWNER
                    - PSYCHOLOGIST
                    - PUBLIC_RELATIONS
                    - LEGAL_REPRESENTATIVE
                    - MR
                    - MRS
                    - SUPERVISOR
                    - TECHNICIAN
                    - TRANSPORTER
                    - SALES
                  type: string
                economicActivity:
                  description: The economic activity of the user.
                  enum:
                    - ACTIVIDADES DE CLUBES DEPORTIVOS PROFESIONALES
                    - ADMINISTRACION DE INMUEBLES
                    - ADQUISICION DE BIENES MUEBLES
                    - AGENCIA ADUANAL
                    - AGENCIA DE MUDANZAS
                    - AGENCIA DE PUBLICIDAD
                    - AGENCIA DE VIAJES
                    - AGENCIA DE COLOCACION
                    - ALMACENAMIENTO
                    - ALQUILER DE AUTOMOVILES
                    - ALQUILER DE BIENES MUEBLES
                    - ALQUILER DE EQUIPO DE TRANSPORTE
                    - ALQUILER DE INMUEBLES
                    - ALQUILER DE MAQUINARIA Y EQUIPO
                    - ARRENDAMIENTO DE BIENES INMUEBLES
                    - ARRENDAMIENTO DE EQUIPO
                    - ASOCIACION
                    - ATENCION MEDICA Y DE SALUD
                    - AUTOTRANSPORTE DE CARGA
                    - AUTOTRANSPORTE DE PASAJEROS
                    - BOLSA DE VALORES
                    - CAFETERIA
                    - CAJA DE AHORRO
                    - CAPTACION DE FONDOS
                    - CASA DE BOLSA
                    - CASA DE CAMBIO
                    - CENTRO CAMBIARIO
                    - CENTRO DE APUESTAS
                    - CENTRO DE ESPECTACULOS
                    - CENTRO DEPORTIVO
                    - CINE
                    - CLINICA
                    - CLUB DEPORTIVO
                    - COBRANZA
                    - COMERCIO AL POR MAYOR
                    - COMERCIO AL POR MENOR
                    - COMERCIO DE ALIMENTOS
                    - COMERCIO DE AUTOMOVILES
                    - COMERCIO DE BEBIDAS
                    - COMERCIO DE BIENES MUEBLES
                    - COMERCIO DE COMBUSTIBLES
                    - COMERCIO DE COMPUTADORAS
                    - COMERCIO DE ELECTRODOMESTICOS
                    - COMERCIO DE EQUIPO
                    - COMERCIO DE FARMACOS
                    - COMERCIO DE FRUTAS Y VERDURAS
                    - COMERCIO DE JOYERIA
                    - COMERCIO DE LICORES
                    - COMERCIO DE MAQUINARIA
                    - COMERCIO DE MATERIALES
                    - COMERCIO DE METALERIA
                    - COMERCIO DE PAPELERIA
                    - COMERCIO DE PRODUCTOS QUIMICOS
                    - COMERCIO DE ROPA
                    - COMERCIO DE TELAS
                    - COMERCIO DE VEHICULOS
                    - COMERCIO ELECTRONICO
                    - COMPAÑIA ASEGURADORA
                    - COMUNICACION
                    - CONSTRUCCION
                    - CONSULTORIA
                    - COOPERATIVA
                    - CORREDURIA
                    - CRIANZA DE ANIMALES
                    - DESARROLLO DE SOFTWARE
                    - DISEÑO GRAFICO
                    - DISTRIBUCION
                    - EDUCACION
                    - EDITORIAL
                    - ELABORACION DE BEBIDAS
                    - ELABORACION DE PRODUCTOS
                    - EMPRESA DE TRANSPORTE
                    - ENSAMBLAJE
                    - ENSENANZA
                    - ENTRETENIMIENTO
                    - EXPORTACION
                    - FABRICACION
                    - FABRICACION DE EQUIPO
                    - FABRICACION DE JUGUETES
                    - FIDEICOMISO
                    - FINANCIERA
                    - FONDO DE INVERSION
                    - FOTOGRAFIA
                    - FUNDACION
                    - GESTORIA
                    - GIMNASIO
                    - HOSPEDAJE
                    - IMPRENTA
                    - IMPORTACION
                    - INDUSTRIA ALIMENTARIA
                    - INDUSTRIA AUTOMOTRIZ
                    - INDUSTRIA DE BEBIDAS
                    - INDUSTRIA DE LA CONSTRUCCION
                    - INDUSTRIA DE LA MADERA
                    - INDUSTRIA ELECTRICA
                    - INDUSTRIA MANUFACTURERA
                    - INDUSTRIA METALURGICA
                    - INDUSTRIA QUIMICA
                    - INGENIERIA
                    - INMOBILIARIA
                    - INSTITUCION BANCARIA
                    - INSTITUCION DE SEGUROS
                    - INTERNET
                    - INVESTIGACION
                    - JOYERIA
                    - LABORATORIO
                    - LIMPIEZA
                    - LOGISTICA
                    - MANUFACTURA
                    - MARKETING
                    - MECANICA
                    - MEDIOS DE COMUNICACION
                    - MERCADOTECNIA
                    - MINERIA
                    - MONTAJE DE EVENTOS
                    - MULTINACIONAL
                    - MUSEO
                    - MUSICA
                    - NEGOCIO
                    - NOTARIA
                    - OFICINA
                    - OPERADORA
                    - OPERADORA DE SERVICIOS
                    - ORGANIZACION
                    - ORGANIZACION NO GUBERNAMENTAL
                    - PANADERIA
                    - PARQUE INDUSTRIAL
                    - PENSION
                    - PERIODICO
                    - PINTURA
                    - PRESTAMO
                    - PRODUCTORA
                    - PROMOTORA
                    - PROVEEDURIA
                    - PUBLICIDAD
                    - PUESTO DE COMIDA
                    - RECAUDACION DE FONDOS
                    - RECURSOS HUMANOS
                    - REPARACION
                    - RESTAURANTE
                    - SEGUROS
                    - SERVICIO A DOMICILIO
                    - SERVICIO AL CLIENTE
                    - SERVICIO DE LIMPIEZA
                    - SERVICIO DE SALUD
                    - SERVICIO TECNICO
                    - SERVICIOS ADMINISTRATIVOS
                    - SERVICIOS CONTABLES
                    - SERVICIOS DE CONSULTORIA
                    - SERVICIOS DE MANTENIMIENTO
                    - SERVICIOS DE SEGURIDAD
                    - SERVICIOS ESCOLARES
                    - SUPERMERCADO
                    - SUPERVISION DE OBRA
                    - SUPERVISION INDUSTRIAL
                    - TALLER
                    - TAXI
                    - TELECOMUNICACIONES
                    - TIENDA DEPARTAMENTAL
                    - TRANSPORTE
                    - TURISMO
                    - UNIVERSIDAD
                    - VENTA DE ALIMENTOS
                    - VENTA DE BEBIDAS
                    - VENTA DE ELECTRODOMESTICOS
                    - VENTA DE PRODUCTOS
                    - VENTA DE SERVICIOS
                  type: string
                countryOfBirth:
                  description: The country of birth of the user.
                  example: MX
                  enum:
                    - Aruba
                    - Afghanistan
                    - Angola
                    - Anguilla
                    - Åland Islands
                    - Albania
                    - Andorra
                    - United Arab Emirates
                    - Argentina
                    - Armenia
                    - American Samoa
                    - Antarctica
                    - French Southern Territories
                    - Antigua and Barbuda
                    - Australia
                    - Austria
                    - Azerbaijan
                    - Burundi
                    - Belgium
                    - Benin
                    - Bonaire, Sint Eustatius and Saba
                    - Burkina Faso
                    - Bangladesh
                    - Bulgaria
                    - Bahrain
                    - Bahamas
                    - Bosnia and Herzegovina
                    - Saint Barthélemy
                    - Belarus
                    - Belize
                    - Bermuda
                    - Bolivia
                    - Brazil
                    - Barbados
                    - Brunei Darussalam
                    - Bhutan
                    - Bouvet Island
                    - Botswana
                    - Central African Republic
                    - Canada
                    - Cocos (Keeling) Islands
                    - Switzerland
                    - Chile
                    - China
                    - Côte d'Ivoire
                    - Cameroon
                    - Congo, The Democratic Republic of the
                    - Congo
                    - Cook Islands
                    - Colombia
                    - Comoros
                    - Cabo Verde
                    - Costa Rica
                    - Cuba
                    - Curaçao
                    - Christmas Island
                    - Cayman Islands
                    - Cyprus
                    - Czechia
                    - Germany
                    - Djibouti
                    - Dominica
                    - Denmark
                    - Dominican Republic
                    - Algeria
                    - Ecuador
                    - Egypt
                    - Eritrea
                    - Western Sahara
                    - Spain
                    - Estonia
                    - Ethiopia
                    - Finland
                    - Fiji
                    - Falkland Islands (Malvinas)
                    - France
                    - Faroe Islands
                    - Micronesia, Federated States of
                    - Gabon
                    - United Kingdom
                    - Georgia
                    - Guernsey
                    - Ghana
                    - Gibraltar
                    - Guinea
                    - Guadeloupe
                    - Gambia
                    - Guinea-Bissau
                    - Equatorial Guinea
                    - Greece
                    - Grenada
                    - Greenland
                    - Guatemala
                    - French Guiana
                    - Guam
                    - Guyana
                    - Hong Kong
                    - Heard Island and McDonald Islands
                    - Honduras
                    - Croatia
                    - Haiti
                    - Hungary
                    - Indonesia
                    - Isle of Man
                    - India
                    - British Indian Ocean Territory
                    - Ireland
                    - Iran, Islamic Republic of
                    - Iraq
                    - Iceland
                    - Israel
                    - Italy
                    - Jamaica
                    - Jersey
                    - Jordan
                    - Japan
                    - Kazakhstan
                    - Kenya
                    - Kyrgyzstan
                    - Cambodia
                    - Kiribati
                    - Saint Kitts and Nevis
                    - Korea, Republic of
                    - Kuwait
                    - Lao People's Democratic Republic
                    - Lebanon
                    - Liberia
                    - Libya
                    - Saint Lucia
                    - Liechtenstein
                    - Sri Lanka
                    - Lesotho
                    - Lithuania
                    - Luxembourg
                    - Latvia
                    - Macao
                    - Saint Martin (French part)
                    - Morocco
                    - Monaco
                    - Moldova, Republic of
                    - Madagascar
                    - Maldives
                    - Mexico
                    - Marshall Islands
                    - Macedonia
                    - Mali
                    - Malta
                    - Myanmar
                    - Montenegro
                    - Mongolia
                    - Northern Mariana Islands
                    - Mozambique
                    - Mauritania
                    - Montserrat
                    - Martinique
                    - Mauritius
                    - Malawi
                    - Malaysia
                    - Mayotte
                    - Namibia
                    - New Caledonia
                    - Niger
                    - Norfolk Island
                    - Nigeria
                    - Nicaragua
                    - Niue
                    - Netherlands
                    - Norway
                    - Nepal
                    - Nauru
                    - New Zealand
                    - Oman
                    - Pakistan
                    - Panama
                    - Pitcairn
                    - Peru
                    - Philippines
                    - Palau
                    - Papua New Guinea
                    - Poland
                    - Puerto Rico
                    - Korea, Democratic People's Republic of
                    - Portugal
                    - Paraguay
                    - Palestine, State of
                    - French Polynesia
                    - Qatar
                    - Réunion
                    - Romania
                    - Russian Federation
                    - Rwanda
                    - Saudi Arabia
                    - Sudan
                    - Senegal
                    - Singapore
                    - South Georgia and the South Sandwich Islands
                    - Saint Helena, Ascension and Tristan da Cunha
                    - Svalbard and Jan Mayen
                    - Solomon Islands
                    - Sierra Leone
                    - El Salvador
                    - San Marino
                    - Somalia
                    - Saint Pierre and Miquelon
                    - Serbia
                    - South Sudan
                    - Sao Tome and Principe
                    - Suriname
                    - Slovakia
                    - Slovenia
                    - Sweden
                    - Eswatini
                    - Sint Maarten (Dutch part)
                    - Seychelles
                    - Syrian Arab Republic
                    - Turks and Caicos Islands
                    - Chad
                    - Togo
                    - Thailand
                    - Tajikistan
                    - Tokelau
                    - Turkmenistan
                    - Timor-Leste
                    - Tonga
                    - Trinidad and Tobago
                    - Tunisia
                    - Turkey
                    - Tuvalu
                    - Taiwan, Province of China
                    - Tanzania, United Republic of
                    - Uganda
                    - Ukraine
                    - United States Minor Outlying Islands
                    - Uruguay
                    - United States
                    - Uzbekistan
                    - Holy See (Vatican City State)
                    - Saint Vincent and the Grenadines
                    - Venezuela, Bolivarian Republic of
                    - Virgin Islands, British
                    - Virgin Islands, U.S.
                    - Viet Nam
                    - Vanuatu
                    - Wallis and Futuna
                    - Samoa
                    - Yemen
                    - South Africa
                    - Zambia
                    - Zimbabwe
                  type: string
                selfieUrl:
                  type: string
                  description: The selfie url of the user.
                  example: https://example.com/selfie.jpg
                identity:
                  type: object
                  description: The identity document of the user.
                  properties:
                    type:
                      type: string
                      description: The type of identity document.
                      enum:
                        - GOVERNMENT_ID
                        - RESIDENT_CARD
                    frontIdUrl:
                      type: string
                      description: URL to the front image of the identity document.
                      format: uri
                    backIdUrl:
                      type: string
                      description: URL to the back image of the identity document.
                      format: uri
                  required:
                    - type
                    - frontIdUrl
                    - backIdUrl
              required:
                - country
                - profession
                - countryOfBirth
                - selfieUrl
              x-readme-ref-name: CreateUserKYCBody
      responses:
        '201':
          description: KYC submission accepted successfully.
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                INVALID_USER_INPUT_ERROR:
                  value:
                    success: false
                    code: INVALID_USER_INPUT_ERROR
                    message: Invalid User Input
                NO_KYC_TEMPLATE_FOUND:
                  value:
                    success: false
                    code: NO_KYC_TEMPLATE_FOUND
                    message: 'No KYC template found for country: {country}'
                EMAIL_NOT_FOUND:
                  value:
                    success: false
                    code: EMAIL_NOT_FOUND
                    message: Provided user authentication method is not email
                BAD_REQUEST:
                  value:
                    success: false
                    code: BAD_REQUEST
                    message: Provided url {url} is not valid
                SELFIE_VALIDATION_FAILED:
                  value:
                    success: false
                    code: SELFIE_VALIDATION_FAILED
                    message: 'Selfie validation failed: {reason}'
                FRONT_ID_VALIDATION_FAILED:
                  value:
                    success: false
                    code: FRONT_ID_VALIDATION_FAILED
                    message: 'Front ID validation failed: {reason}'
                BACK_ID_VALIDATION_FAILED:
                  value:
                    success: false
                    code: BACK_ID_VALIDATION_FAILED
                    message: 'Back ID validation failed: {reason}'
                DOCUMENT_VALIDATION_FAILED:
                  value:
                    success: false
                    code: DOCUMENT_VALIDATION_FAILED
                    message: 'Document validation failed: {reason}'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                UNAUTHORIZED:
                  value:
                    success: false
                    code: UNAUTHORIZED
                    message: API Key is missing
                UNAUTHORIZED_2:
                  value:
                    success: false
                    code: UNAUTHORIZED
                    message: Invalid API Key format
                UNAUTHORIZED_3:
                  value:
                    success: false
                    code: UNAUTHORIZED
                    message: Invalid API Key
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                success: false
                code: NOT_FOUND_ERROR
                message: Requested resource was not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                success: false
                code: INTERNAL_SERVER_ERROR
                message: Internal server error
      security:
        - PartnerApiKey: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        code:
          type: string
          description: Machine-readable error code.
        message:
          type: string
          description: Human-readable error message.
        errors:
          type: array
          description: Optional per-field validation details.
          items:
            type: object
            properties:
              field:
                type: string
              message:
                type: string
      required:
        - success
        - code
        - message
  securitySchemes:
    PartnerApiKey:
      type: apiKey
      in: header
      name: partner-api-key
      description: API key for the affiliated partner performing the request.

````